BindException (Java Platform SE 8 )
Keywords: java.net.BindException class
Date: 2017-01-22

compact1, compact2, compact3
java.net

## Class BindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.net.SocketException
        - - java.net.BindException

- All Implemented Interfaces:
    Serializable

      public class BindException
      extends SocketException

  Signals that an error occurred while attempting to bind a socket to a local address and port. Typically, the port is in use, or the requested local address could not be assigned.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindException()` Construct a new BindException with no detailed message.
    `BindException(String msg)` Constructs a new BindException with the specified detail message as to why the bind error occurred.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BindException

          public BindException(String msg)

      Constructs a new BindException with the specified detail message as to why the bind error occurred. A detail message is a String that gives a specific description of this error.
      Parameters:
        `msg` - the detail message

    - #### BindException

          public BindException()

      Construct a new BindException with no detailed message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.